GET/projects/api/v3/custom-exchange-rates/latest.json

List latest ExchangeRate per currency pair

Get the most relevant exchange rate for each currency pair. Priority: 1) active rates (currently valid), 2) nearest future rate, 3) most recent past rate. Use the include parameter to sideload related users (creators, updaters).

Query Params

  • Name
    pageSize
    Type
    integer
    Description
  • Name
    page
    Type
    integer
    Description
  • Name
    skipCounts
    Type
    boolean
    Description
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • users

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    CustomExchangeRatesResponse represents a list of custom exchange rates response.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

CustomExchangeRatesResponse
{
  "customExchangeRates": [
    {
      "createdAt": "string",
      "createdBy": {
        "id": 0,
        "meta": {},
        "type": "string"
      },
      "fromCurrency": "string",
      "id": 0,
      "notes": "string",
      "rate": 0,
      "toCurrency": "string",
      "updatedAt": "string",
      "updatedBy": {
        "id": 0,
        "meta": {},
        "type": "string"
      },
      "validFrom": {
        "Day": 0,
        "Month": 0,
        "Year": 0
      },
      "validTo": {
        "Day": 0,
        "Month": 0,
        "Year": 0
      }
    }
  ],
  "included": {
    "users": {
      "additionalProp": {
        "avatarUrl": "string",
        "canAccessPortfolio": true,
        "canAddProjects": true,
        "canManagePortfolio": true,
        "company": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "companyId": 0,
        "companyRoleId": 0,
        "createdAt": "string",
        "createdBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "deleted": true,
        "email": "string",
        "firstName": "string",
        "id": 0,
        "isAdmin": true,
        "isClientUser": true,
        "isPlaceholderResource": true,
        "isServiceAccount": true,
        "jobRoles": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "lastLogin": "string",
        "lastName": "string",
        "lengthOfDay": 0,
        "meta": {},
        "skills": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "teams": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "timezone": "string",
        "title": "string",
        "type": "string",
        "updatedAt": "string",
        "updatedBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "userCost": 0,
        "userRate": 0,
        "userRates": {
          "additionalProp": {
            "amount": 0,
            "currency": {
              "id": 0,
              "meta": {},
              "type": "string"
            }
          }
        },
        "workingHour": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "workingHoursId": 0
      }
    }
  },
  "meta": {
    "averageSpend": 0,
    "data": {},
    "limit": 0,
    "nextCursor": "string",
    "page": {
      "count": 0,
      "hasMore": true,
      "pageOffset": 0,
      "pageSize": 0
    },
    "prevCursor": "string",
    "totalCapacity": 0
  }
}